# Project Mu HID Crate Repository

This repository contains a library crate that provides parsing services for HID Report Descriptors.

This repository is part of [Project Mu](https://microsoft.github.io/mu).

## Code of Conduct

This project has adopted the [Microsoft Open Source Code of Conduct](https://opensource.microsoft.com/codeofconduct/).

For more information see the [Code of Conduct FAQ](https://opensource.microsoft.com/codeofconduct/faq/)
or contact [opencode@microsoft.com](mailto:opencode@microsoft.com). with any additional questions or comments.

## Contributions

Contributions are always welcome and encouraged!

Please open any issues in the Project Mu GitHub tracker and read [contribution guidance](https://microsoft.github.io/mu/How/contributing/).

* [Code Requirements](https://microsoft.github.io/mu/CodeDevelopment/requirements/)
* [Doc Requirements](https://microsoft.github.io/mu/CodeDevelopment/rust_documentation_conventions/)

## Issues

Please open any issues in the [issues section](https://github.com/microsoft/mu_rust_hid/issues).

## Builds

1. Download and install rust/cargo from [Getting Started - Rust Programming Language (rust-lang.org)](https://www.rust-lang.org/learn/get-started).

2. Make sure the toolchain is properly installed - restart a shell after install and make sure the tools are in your
path:

   \>`cargo --version`

3. Build and run unit tests with:

   \>`cargo test --all`

4. Generate and open docs:

   \>`cargo doc --open`

## Copyright & License

* Copyright (c) Microsoft Corporation
* SPDX-License-Identifier: BSD-2-Clause-Patent
